package client.gui.options;

import client.audio.Volume;
import client.gui.element.ActButton;
import client.gui.element.ButtonCallback;
import client.gui.element.PressType;

public class GuiSound extends GuiOptions {
	protected GuiSound() {
	}
	
	public void init(int width, int height) {
		int x = 0;
		int y = 0;
		for(Volume volume : Volume.values()) {
			this.addSelector(volume.getCVarName(), x, y, 150, 0);
			x = (x == 0) ? 152 : 0;
			if(x == 0)
				y += 20;
		}

		this.addSelector("snd_enabled", 0, 50, 150, 0);

		this.addSelector("snd_buffer_size", 0, 70, 150, 0);
		this.addSelector("snd_frame_size", 152, 70, 150, 0);
		
		this.add(new ActButton(0, 100, 302, 0, new ButtonCallback() {
			public void use(ActButton elem, PressType action) {
				GuiSound.this.gm.restartSound(false);
			}
		}, "Übernehmen und Audio neu starten"));
		
		super.init(width, height);
	}
	
	public String getTitle() {
		return "Audio und Ton";
	}	
}
